%define section   free
%define classworlds_version   1.0

Name:           classworlds
Version:        %{classworlds_version}
Release:        1jpp
Epoch:          0
Summary:        Classworlds Classloader Framework

Group:          Development/Libraries/Java
License:        Open Source
URL:            http://classworlds.codehaus.org/
Source0:        classworlds-1.0.tar.gz
# cvs -d :pserver:anonymous@cvs.codehaus.org:/scm/cvspublic/ login 
# cvs -z3 -d :pserver:anonymous@cvs.codehaus.org:/scm/cvspublic/ export -r CLASSWORLDS_1_0 classworlds 
Source1:        classworlds-docs-1.0.tar.gz
Source2:        classworlds_build.xml
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5.32
BuildRequires:  ant >= 0:1.5.4, ant-optional >= 0:1.5.4, junit >= 0:3.8.1
BuildRequires:  xerces-j2 >= 0:2.6.0
BuildRequires:  xml-commons-apis >= 0:1.0
Requires:  xerces-j2 >= 0:2.4.0
Requires:  xml-commons-apis >= 0:1.0

%description
Classworlds is a framework for container developers 
who require complex manipulation of Java's ClassLoaders.
Java's native ClassLoader mechanims and classes can cause 
much headache and confusion for certain types of 
application developers. Projects which involve dynamic 
loading of components or otherwise represent a 'container' 
can benefit from the classloading control provided by 
classworlds. 

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%package        manual
Summary:        Docs for %{name}
Group:          Development/Documentation

%description    manual
%{summary}.


%prep
%setup -q -n %{name}
find ./lib -name "*.jar" -exec rm {} \;
gzip -dc %{SOURCE1} | tar -xf -
cp %{SOURCE2} build.xml

%build
export CLASSPATH=$(build-classpath \
xerces-j2 \
xml-commons-apis \
junit)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only all


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 target/%{name}-SNAPSHOT.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

install -dm 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}
%ghost %doc %{_docdir}/%{name}


%changelog
* Wed Jan 28 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0-1jpp
- First build.
